VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} Radarturm 
   Caption         =   "Radarturm"
   ClientHeight    =   3210
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   4710
   OleObjectBlob   =   "Radarturm.frx":0000
   StartUpPosition =   1  'Fenstermitte
End
Attribute VB_Name = "Radarturm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' --------------------------------------------------------------------------------
'
' Radarturm                                                 Ulrich Mller 28.08.10
'                                                           Aspire  VBA Excel 2002
' Betrieb des Modells Radarturm (siehe auch ftComputing.de/pythonradar.htm)
'
' --------------------------------------------------------------------------------

Private tx As New FishFace50

Private Const mTurm = 1
Private Const sFull = 512
Private Const dLinks = 1
Private Const dRechts = 2
Private Const dAus = 0
Private Const oLampe = 3
Private Const cImpuls = 1
Private Const iEndtaster = 1
Private Const iDistance = 8
Private Const Schrittweite = 10
Private Const DistLimit = 16

Private Sub cmdAction_Click()
    Dim res, i As Long
    res = tx.OpenController(39)
    If res <> 0 Then
        lblStatus = "FAILED"
        Exit Sub
    End If
    tx.SetMotor mTurm, dLinks
    tx.WaitForInput iEndtaster
    tx.SetMotor mTurm, dAus
    
    Do
        For i = 0 To 100 Step Schrittweite
            Distance dRechts, i
        Next
        For i = 100 To 0 Step -Schrittweite
            Distance dLinks, i
        Next
    Loop Until tx.Finish()
    tx.CloseController
    lblStatus = "--- FINIS ---"
End Sub

Private Sub Distance(ByVal turn&, ByVal pos&)
    Dim dist, diff As Long
    If tx.Finish() Then Exit Sub
    dist = tx.GetDistance(iDistance)
    If dist < DistLimit Then
        tx.SetLamp oLampe, True
    Else
        tx.SetLamp oLampe, False
    End If
    lblStatus = "Position : " & pos & "  Distanz : " & dist
    DoEvents
    tx.StartRobMotor mTurm, turn, sFull, Schrittweite
    diff = tx.WaitForMotor(mTurm)
    lblHinweise = "Abweichung : " & diff
End Sub
